{
  "custom": {},
  "params": {
    "data": {
      "$": [
        "ds",
        192,
        1715038879040
      ],
      "$columns": []
    },
    "endDate": "value",
    "eqPath": "value",
    "message": "",
    "selectedAnalysisName": "value",
    "startDate": "value"
  },
  "propConfig": {
    "params.data": {
      "binding": {
        "config": {
          "path": "/root/mesAnalysisController.props.data"
        },
        "type": "property"
      },
      "paramDirection": "output",
      "persistent": true
    },
    "params.endDate": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.eqPath": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.message": {
      "binding": {
        "config": {
          "path": "/root/mesAnalysisController.props.message"
        },
        "type": "property"
      },
      "paramDirection": "output",
      "persistent": true
    },
    "params.selectedAnalysisName": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.startDate": {
      "paramDirection": "input",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 1,
      "width": 1
    }
  },
  "root": {
    "children": [
      {
        "meta": {
          "name": "mesAnalysisController"
        },
        "position": {
          "basis": "64px"
        },
        "propConfig": {
          "props.endDate": {
            "binding": {
              "config": {
                "path": "view.params.endDate"
              },
              "overlayOptOut": true,
              "type": "property"
            }
          },
          "props.filterParams[0].value": {
            "binding": {
              "config": {
                "path": "view.params.eqPath"
              },
              "type": "property"
            }
          },
          "props.selectedAnalysisName": {
            "binding": {
              "config": {
                "path": "view.params.selectedAnalysisName"
              },
              "type": "property"
            }
          },
          "props.startDate": {
            "binding": {
              "config": {
                "path": "view.params.startDate"
              },
              "overlayOptOut": true,
              "type": "property"
            }
          }
        },
        "props": {
          "data": {
            "$": [
              "ds",
              192,
              1715038879040
            ],
            "$columns": []
          },
          "drillDownOptions": {
            "$": [
              "ds",
              192,
              1715038879040
            ],
            "$columns": []
          },
          "filterParams": [
            {
              "param": "eqPath",
              "type": "string"
            }
          ]
        },
        "type": "mes.production.mesAnalysisController"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column"
    },
    "type": "ia.container.flex"
  }
}